View Issue Details

IDProjectCategoryView StatusLast Update
0014778LazarusPatchpublic2009-12-25 11:26
ReporterVladimir Zhirov Assigned ToPaul Ishenin  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0014778: TreeView text position patch
DescriptionThe problem this patch is supposed to fix is shown on the attached screenshot. When TreeNode is not selected its text is painted one pixel left from desired position and overlap node icon.

Tested on Win32 only.
TagsNo tags attached.
Fixed in Revision22216
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

2009-10-11 11:27

 

treebug.PNG (5,269 bytes)   
treebug.PNG (5,269 bytes)   

2009-10-11 11:29

 

twtxtpos.patch (396 bytes)   
Index: lcl/include/treeview.inc
===================================================================
--- lcl/include/treeview.inc	(revision 22095)
+++ lcl/include/treeview.inc	(working copy)
@@ -4510,7 +4510,7 @@
       else
       begin
         Font.Color := Self.Font.Color;
-        TextOut(x, TextY, Node.Text);
+        TextOut(x + 1, TextY, Node.Text);
       end;
     end;
 
twtxtpos.patch (396 bytes)   

Paul Ishenin

2009-10-18 08:38

manager   ~0031433

Thanks, applied. Please close if ok.

Issue History

Date Modified Username Field Change
2009-10-11 11:27 Vladimir Zhirov New Issue
2009-10-11 11:27 Vladimir Zhirov File Added: treebug.PNG
2009-10-11 11:27 Vladimir Zhirov Widgetset => Win32/Win64
2009-10-11 11:29 Vladimir Zhirov File Added: twtxtpos.patch
2009-10-18 08:38 Paul Ishenin Fixed in Revision => 22216
2009-10-18 08:38 Paul Ishenin LazTarget => -
2009-10-18 08:38 Paul Ishenin Status new => resolved
2009-10-18 08:38 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-18 08:38 Paul Ishenin Resolution open => fixed
2009-10-18 08:38 Paul Ishenin Assigned To => Paul Ishenin
2009-10-18 08:38 Paul Ishenin Note Added: 0031433
2009-12-25 11:26 Vladimir Zhirov Status resolved => closed